### Class

# WebKit2WebExtension WebFormManager

since: 2.40

#### Description [src]

    class WebKit2WebExtension.WebFormManager : GObject.Object
    {
      /* No available fields */
    }

Form manager of a `WebKitWebPage` in a `WebKitScriptWorld`.

Available since: 2.40

#### Ancestors

- GObject

#### Functions

###### webkit_web_form_manager_input_element_auto_fill

Set the value of an HTML input element as if it had been edited by the user, triggering a change event, and set it as filled automatically. If `element` is not an HTML input element this function does nothing.

since: 2.40

###### webkit_web_form_manager_input_element_is_auto_filled

Get whether `element` is an HTML input element that has been filled automatically.

since: 2.40

###### webkit_web_form_manager_input_element_is_user_edited

Get whether `element` is an HTML text input element that has been edited by a user action.

since: 2.40

#### Instance methods

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

###### WebKit2WebExtension.WebFormManager::form-controls-associated

Emitted after form elements (or form associated elements) are associated to `frame`. This is useful to implement form auto filling for web pages where form fields are added dynamically. This signal might be emitted multiple times for the same frame.

since: 2.40

###### WebKit2WebExtension.WebFormManager::will-send-submit-event

This signal is emitted when the DOM submit event is about to be fired for `form`. JavaScript code may rely on the submit event to detect that the user has clicked on a submit button, and to possibly cancel the form submission before `WebKitWebFormManager::will-submit-form` signal is emitted. However, beware that, for historical reasons, the submit event is not emitted at all if the form submission is triggered by JavaScript. For these reasons, this signal may not be used to reliably detect whether a form will be submitted. Instead, use it to detect if a user has clicked on a form’s submit button even if JavaScript later cancels the form submission, or to read the values of the form’s fields even if JavaScript later clears certain fields before submitting. This may be needed, for example, to implement a robust browser password manager, as some misguided websites may use such techniques to attempt to thwart password managers.

since: 2.40

###### WebKit2WebExtension.WebFormManager::will-submit-form

This signal is emitted when `form` will imminently be submitted. It can no longer be cancelled. This event always occurs immediately before a form is submitted to its target, so use this event to reliably detect when a form is submitted. This signal is emitted after `WebKitWebFormManager::will-send-submit-event` if that signal is emitted.

since: 2.40

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct WebKit2WebExtensionWebFormManagerClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.